I have the same problem...

IRB:
irb(main):001:0> require 'RMagick'
=> true

script/console of my app:
Loading development environment (Rails 2.1.0)

require 'RMagick'

=> []

include Magick

=> Object

image = Magick::ImageList.new()

=> []
scene=

But if I use it in a controller:
no such file to load -- RMagick

# gem list
[snip]
rmagick (2.5.2)
[/snip]

# ruby -rRMagick -e "puts Magick::Long_version"
This is RMagick 1.13.0 ($Date: 2006/06/26 23:32:37 $) Copyright (C)
2006 by Timothy P. Hunter
Built with ImageMagick 6.2.4 02/10/07 Q16 http://www.imagemagick.org
Built for ruby 1.8.4 (2005-12-24) [i486-linux]
Web page: http://rmagick.rubyforge.org